package com.zcloud.service.risk.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.RiskCheckItemMapper;
import com.zcloud.service.risk.RiskCheckItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：风险点检查项
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class RiskCheckItemServiceImpl implements RiskCheckItemService {

	@Autowired
	private RiskCheckItemMapper riskcheckitemMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		riskcheckitemMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		riskcheckitemMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		riskcheckitemMapper.edit(pd);
	}
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void editByPoint(PageData pd)throws Exception{
		riskcheckitemMapper.editByPoint(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return riskcheckitemMapper.datalistPage(page);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> itemlistPage(Page page)throws Exception{
		return riskcheckitemMapper.itemlistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return riskcheckitemMapper.listAll(pd);
	}

	/**清单管理-检查内容查询
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> queryRiskCheck(PageData pd)throws Exception{
		return riskcheckitemMapper.queryRiskCheck(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return riskcheckitemMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		riskcheckitemMapper.deleteAll(ArrayDATA_IDS);
	}

}

